USE `loan-pricing`;
SET NAMES utf8mb4;

ALTER TABLE loan_pricing_workflow
    COMMENT = '利率定价流程表';

ALTER TABLE loan_pricing_workflow
    MODIFY COLUMN `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
    MODIFY COLUMN `serial_num` varchar(50) NOT NULL COMMENT '业务方流水号',
    MODIFY COLUMN `model_output_id` bigint(20) DEFAULT NULL COMMENT '模型输出ID',
    MODIFY COLUMN `org_code` varchar(20) NOT NULL DEFAULT '892000' COMMENT '机构编码(统一值892000)',
    MODIFY COLUMN `run_type` varchar(10) NOT NULL DEFAULT '1' COMMENT '运行模式: 1-同步',
    MODIFY COLUMN `cust_isn` varchar(50) NOT NULL COMMENT '客户内码',
    MODIFY COLUMN `cust_type` varchar(20) NOT NULL COMMENT '客户类型: 个人/企业',
    MODIFY COLUMN `guar_type` varchar(20) NOT NULL COMMENT '担保方式: 信用/保证/抵押/质押',
    MODIFY COLUMN `mid_per_quick_pay` varchar(10) DEFAULT NULL COMMENT '中间业务_个人_快捷支付: true/false',
    MODIFY COLUMN `mid_per_ele_ddc` varchar(10) DEFAULT NULL COMMENT '中间业务_个人_电费代扣: true/false',
    MODIFY COLUMN `mid_ent_ele_ddc` varchar(10) DEFAULT NULL COMMENT '中间业务_企业_电费代扣: true/false',
    MODIFY COLUMN `mid_ent_water_ddc` varchar(10) DEFAULT NULL COMMENT '中间业务_企业_水费代扣: true/false',
    MODIFY COLUMN `apply_amt` varchar(50) NOT NULL COMMENT '申请金额(元)',
    MODIFY COLUMN `loan_term` varchar(50) DEFAULT NULL COMMENT '贷款期限',
    MODIFY COLUMN `is_clean_ent` varchar(10) DEFAULT NULL COMMENT '净身企业: true/false',
    MODIFY COLUMN `has_settle_acct` varchar(10) DEFAULT NULL COMMENT '开立基本结算账户: true/false',
    MODIFY COLUMN `is_manufacturing` varchar(10) DEFAULT NULL COMMENT '制造业企业: true/false',
    MODIFY COLUMN `is_agri_guar` varchar(10) DEFAULT NULL COMMENT '省农担担保贷款: true/false',
    MODIFY COLUMN `is_tech_ent` varchar(10) DEFAULT NULL COMMENT '科技型企业: true/false（科技型企业最多下降5BP）',
    MODIFY COLUMN `is_green_loan` varchar(10) DEFAULT NULL COMMENT '绿色贷款: true/false（绿色贷款最多下降5BP）',
    MODIFY COLUMN `is_trade_construction` varchar(10) DEFAULT NULL COMMENT '贸易和建筑业企业标识: true/false（抵质押类上调20BP）',
    MODIFY COLUMN `is_tax_a` varchar(10) DEFAULT NULL COMMENT '是否纳税信用等级A级: true/false',
    MODIFY COLUMN `is_agri_leading` varchar(10) DEFAULT NULL COMMENT '是否县级及以上农业龙头企业: true/false',
    MODIFY COLUMN `loan_purpose` varchar(20) DEFAULT NULL COMMENT '贷款用途: consumer-消费/business-经营',
    MODIFY COLUMN `biz_proof` varchar(10) DEFAULT NULL COMMENT '是否有经营佐证: true/false',
    MODIFY COLUMN `loan_loop` varchar(10) DEFAULT NULL COMMENT '循环功能: true/false（贷款合同是否开通循环功能）',
    MODIFY COLUMN `coll_type` varchar(20) DEFAULT NULL COMMENT '抵质押类型: 一线/一类/二类',
    MODIFY COLUMN `coll_third_party` varchar(10) DEFAULT NULL COMMENT '抵质押物是否三方所有: true/false',
    MODIFY COLUMN `loan_rate` varchar(20) NOT NULL COMMENT '贷款利率',
    MODIFY COLUMN `execute_rate` varchar(20) DEFAULT NULL COMMENT '执行利率(%)',
    MODIFY COLUMN `cust_name` varchar(100) DEFAULT NULL COMMENT '客户名称',
    MODIFY COLUMN `id_type` varchar(50) DEFAULT NULL COMMENT '证件类型',
    MODIFY COLUMN `id_num` varchar(100) DEFAULT NULL COMMENT '证件号码',
    MODIFY COLUMN `is_inclusive_finance` varchar(10) DEFAULT NULL COMMENT '是否普惠小微借款人: true/false',
    MODIFY COLUMN `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
    MODIFY COLUMN `create_time` datetime DEFAULT NULL COMMENT '创建时间',
    MODIFY COLUMN `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
    MODIFY COLUMN `update_time` datetime DEFAULT NULL COMMENT '更新时间';
